LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 02-20-2005, 03:12 PM   #1
jgtg32a
Member
 
Registered: Feb 2005
Posts: 53

Rep: Reputation: 15
Firefox problem with extensions


I'm trying to install Tabbrowseing extension on my Mandrake Linux machine and the terminal gives me this error

*** loading the extensions datasource
*** getItemProperty failing for lack of an item. This means getResourceForItem failed to locate a resource for aItemID (item ID = http://ftp.moz illa.org/pub/mozilla.org/extensions/tabbrowser_preferences/tabbrowser_preferences-1.1.1-fx.xpi, property = disabled)
*** getItemProperty failing for lack of an item. This means getResourceForItem failed to locate a resource for aItemID (item ID = http://ftp.moz illa.org/pub/mozilla.org/extensions/tabbrowser_preferences/tabbrowser_preferences-1.1.1-fx.xpi, property = internalName)

It then got hung up and then I said to not uninstall it and it gave me...

*** getItemProperty failing for lack of an item. This means getResourceForItem failed to locate a resource for aItemID (item ID = http://ftp.mozilla.org/pub/mozilla.o...-1.1.1-fx.xpi, property = installLocation)
*** getItemProperty failing for lack of an item. This means getResourceForItem failed to locate a resource for aItemID (item ID = http://ftp.mozilla.org/pub/mozilla.o...-1.1.1-fx.xpi, property = installLocation)
*** getItemProperty failing for lack of an item. This means getResourceForItem failed to locate a resource for aItemID (item ID = http://ftp.mozilla.org/pub/mozilla.o...-1.1.1-fx.xpi, property = installLocation)
*** getItemProperty failing for lack of an item. This means getResourceForItem failed to locate a resource for aItemID (item ID = http://ftp.mozilla.org/pub/mozilla.o...-1.1.1-fx.xpi, property = installLocation)
*** getItemProperty failing for lack of an item. This means getResourceForItem failed to locate a resource for aItemID (item ID = http://ftp.mozilla.org/pub/mozilla.o...-1.1.1-fx.xpi, property = downloadURL)



I then tried adblock

*** getItemProperty failing for lack of an item. This means getResourceForItem failed to locate a resource for aItemID (item ID = http://ftp.mozilla.org/pub/mozilla.o....2.039-fx.xpi, property = disabled)
*** getItemProperty failing for lack of an item. This means getResourceForItem failed to locate a resource for aItemID (item ID = http://ftp.mozilla.org/pub/mozilla.o....2.039-fx.xpi, property = internalName)

I then quit and restarted and got this

*** loading the extensions datasource
*** getItemProperty failing for lack of an item. This means getResourceForItem failed to locate a resource for aItemID (item ID = http://ftp.mozilla.org/pub/mozilla.o...-1.1.1-fx.xpi, property = installLocation)
*** nsExtensionManager::_finishOperations - failure, catching exception so finalize window can close [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.append]" nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)" location: "JS frame :: file:///home/mike/firefox-installer/components/nsExtensionManager.js :: getDirInternal :: line 139" data: no]
*** loading the extensions datasource
*** getItemProperty failing for lack of an item. This means getResourceForItem failed to locate a resource for aItemID (item ID = http://ftp.mozilla.org/pub/mozilla.o...-1.1.1-fx.xpi, property = installLocation)
*** nsExtensionManager::_finishOperations - failure, catching exception so finalize window can close [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.append]" nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)" location: "JS frame :: file:///home/mike/firefox-installer/components/nsExtensionManager.js :: getDirInternal :: line 139" data: no]
 
Old 02-20-2005, 03:43 PM   #2
Baryonic Being
Member
 
Registered: Mar 2004
Distribution: Arch
Posts: 139

Rep: Reputation: 15
What version of Firefox? Are there any updates available?
 
Old 02-20-2005, 03:47 PM   #3
keithieopia
Member
 
Registered: Feb 2005
Location: Maryland, USA
Distribution: Arch x86_64
Posts: 69

Rep: Reputation: 18
I got the same crap before I updated firefox whenever I'd try to install an extension. try doing the following then install your firefox extentions, update via urpmi and if you have not set up urpmi go to http://easyurpmi.zarb.org/ if your a newb follow these steps:

become a superuser (NOT login as root!) type su then your root password
then type urpmi mozilla-firefox

Last edited by keithieopia; 02-20-2005 at 03:49 PM.
 
Old 02-20-2005, 03:47 PM   #4
jgtg32a
Member
 
Registered: Feb 2005
Posts: 53

Original Poster
Rep: Reputation: 15
1.0 and really doubt it just DL it today.
 
Old 02-20-2005, 03:50 PM   #5
keithieopia
Member
 
Registered: Feb 2005
Location: Maryland, USA
Distribution: Arch x86_64
Posts: 69

Rep: Reputation: 18
I dont think adblock has been updated for the newest firefox 1.0 if thats any help. Oh and tabbed browsing is automatically supported, its under prefs somewhere with "open new windows in a tab"

Last edited by keithieopia; 02-20-2005 at 03:54 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
How many firefox extensions do you have? exit3219 General 17 12-04-2005 10:17 AM
Firefox extensions installation theYinYeti Linux - Software 7 06-07-2005 12:04 PM
10 Extensions to Enhance Firefox phlyersphan Linux - News 16 03-01-2005 12:40 PM
Symlinking Firefox Extensions from Windows to Firefox? apachedude Linux - Software 11 11-26-2004 05:00 AM
firefox 1.0 no installing extensions psychobyte Linux - Software 1 11-15-2004 04:41 PM


All times are GMT -5. The time now is 11:48 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration